Bug 50519 - problem installing openssl-0.9.6b-3, which is a requirement on rawhide squid-2.4-stable1 & apache-1.3.20
problem installing openssl-0.9.6b-3, which is a requirement on rawhide squid-...
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: openssl096 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 16:09 EDT by Jonathan Bibeau
Modified: 2007-04-18 12:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 09:31:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Bibeau 2001-07-31 16:09:50 EDT
Description of Problem:
I want to installed the newest version of Squid & Apache (both of which
requires openssl-0.9.6b-3 because of the libraries libcrypto.so.2 &
libssl.so.2, but when I try a freshen on openssl there are a bunch of
applications that require the libcrypto.so.1 & libssl.so.1 so the
dependency fails. At this point I can't installed either the newest version
of Apache or Squid without this version of OpenSSL and I can't seem to
install that either.  This is under a fresh RedHat 7.1 installation running
OpenSSL-0.9.6-3.

How Reproducible:
When you try rpm -Fvh openssl-0.9.6b-3.i386.rpm
You get this back:
error: failed dependencies:
        libcrypto.so.1   is needed by bind-utils-9.1.0-10
        libcrypto.so.1   is needed by cyrus-sasl-1.5.24-17
        libcrypto.so.1   is needed by openldap-2.0.7-14
        libcrypto.so.1   is needed by pine-4.33-8
        libcrypto.so.1   is needed by sendmail-8.11.2-14
        libcrypto.so.1   is needed by lynx-2.8.4-9
        libcrypto.so.1   is needed by python-1.5.2-30
        libcrypto.so.1   is needed by openssh-2.5.2p2-5
        libcrypto.so.1   is needed by openssh-clients-2.5.2p2-5
        libcrypto.so.1   is needed by openssh-server-2.5.2p2-5
        libcrypto.so.1   is needed by ucd-snmp-4.2-12
        libcrypto.so.1   is needed by ucd-snmp-utils-4.2-12
        libcrypto.so.1   is needed by stunnel-3.13-3
        libcrypto.so.1   is needed by squid-2.3.STABLE4-10
        libssl.so.1   is needed by openldap-2.0.7-14
        libssl.so.1   is needed by pine-4.33-8
        libssl.so.1   is needed by sendmail-8.11.2-14
        libssl.so.1   is needed by lynx-2.8.4-9
        libssl.so.1   is needed by python-1.5.2-30
        libssl.so.1   is needed by stunnel-3.13-3
        libssl.so.1   is needed by squid-2.3.STABLE4-10
Comment 1 Nerijus Baliūnas 2005-02-14 15:41:57 EST
This bug is no longer valid, can be closed.
Comment 2 Bill Nottingham 2006-08-07 22:01:33 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 3 Nalin Dahyabhai 2006-08-08 09:31:41 EDT
Installing the compat package (openssl096) along with the newer openssl would
preserve dependencies.  Closing.

Note You need to log in before you can comment on or make changes to this bug.